#ifndef UDPRXASYNC_H
#define UDPRXASYNC_H

#include <QWidget>

#include <QUdpSocket>
#include <QNetworkDatagram>
#define PORT_BY_DEFAULT 3322

QT_BEGIN_NAMESPACE
namespace Ui { class UdpRxAsync; }
QT_END_NAMESPACE

class UdpRxAsync : public QWidget
{
    Q_OBJECT

public:
    UdpRxAsync(QWidget *parent = nullptr);
    ~UdpRxAsync();

protected:
    bool bInitSocket(quint16 nP);
    void vProcessaDatagrama(QNetworkDatagram datagram);

private:
    Ui::UdpRxAsync *ui;
    QUdpSocket *udpSocketEscoltador;
    qint16 nPort;

public slots:
    void vlecturaDatagramesPendents();
    void vCanviaPort(int);
    void vRemoveInfo();
};
#endif // UDPRXASYNC_H
